> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fedapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the payment link for a transaction



## OpenAPI

````yaml post /transactions/{id}/token
openapi: 3.0.0
info:
  title: Customer API
  version: v1
servers:
  - url: https://sandbox-api.fedapay.com/v1
  - url: https://api.fedapay.com/v1
security: []
paths:
  /transactions/{id}/token:
    post:
      summary: Get the payment link for a transaction
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
          description: Transaction ID.
      responses:
        '200':
          description: Payment link generated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                    description: The generated payment token.
                  url:
                    type: string
                    description: The payment link URL.
        '404':
          description: Transaction not found.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````